
From: Alex Zarochentsev <zam@namesys.com>

Add a wrapper for atomic_sub_and_test into include/asm-arm/atomic.h

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-arm/atomic.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/asm-arm/atomic.h~arm-atomic_sub_and_test include/asm-arm/atomic.h
--- 25/include/asm-arm/atomic.h~arm-atomic_sub_and_test	2005-03-18 00:20:49.000000000 -0800
+++ 25-akpm/include/asm-arm/atomic.h	2005-03-18 00:20:49.000000000 -0800
@@ -151,6 +151,7 @@ static inline void atomic_clear_mask(uns
 #define atomic_dec_and_test(v)	(atomic_sub_return(1, v) == 0)
 #define atomic_inc_return(v)    (atomic_add_return(1, v))
 #define atomic_dec_return(v)    (atomic_sub_return(1, v))
+#define atomic_sub_and_test(i, v) (atomic_sub_return(i, v) == 0)
 
 #define atomic_add_negative(i,v) (atomic_add_return(i, v) < 0)
 
_
